import { OnInit, ElementRef } from '@angular/core';
import { ITutorialStep } from '../api/i-tutorial-step';
import { StepPromptPlacement, IInitializationOptions, IStepClasses, IActionTexts } from '../api/i-options';
import { NgyTutorialService } from '../ngy-tutorial.service';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
export declare class PromptComponent implements OnInit {
    private svc;
    private sani;
    private document;
    private options;
    stepNumber: number;
    totalSteps: number;
    step: ITutorialStep;
    prompt: ElementRef;
    appliedClasses: IStepClasses;
    appliedTexts: IActionTexts;
    titleSafe: SafeHtml;
    promptSafe: SafeHtml;
    overrideButtonDisable: boolean;
    private margin;
    constructor(svc: NgyTutorialService, sani: DomSanitizer, document: any, options: IInitializationOptions);
    ngOnInit(): void;
    finishTutorial(): void;
    nextStep(): void;
    previousStep(): void;
    setPromptForElement(elem?: any, placement?: StepPromptPlacement): void;
    private setPromptPosition;
    private isPromptCoveringElement;
    private isElementOutOfView;
}
